エンジニアでありたい人の日記 このページをアンテナに追加 RSSフィード

2008-06-24

[] class.c の変更を revert するパッチ 16:06  class.c の変更を revert するパッチを含むブックマーク  class.c の変更を revert するパッチのブックマークコメント

id:hiro-ueda:20080621:1213975488 の件、-p230(or -p231) でとりあえず動かすためには... のパッチが http://dev.smartleaf.com/misc/p230_fixit_patch.txt にありました。Multiple Ruby security vulnerabilities | Riding Railsコメントを見る限り、結構な数の人が影響を受けたみたいです。

で、やってみました。

$ svn co http://svn.ruby-lang.org/repos/ruby/tags/v1_8_6_231
$ wget http://dev.smartleaf.com/misc/p230_fixit_patch.txt
$ cd v1_8_6_231
$ patch < ../p230_fixit_patch.txt
$ autoconf && ./configure && make
$ sudo make install

こんな感じで

$ ruby -v
ruby 1.8.6 (2008-06-22 patchlevel 231) [i686-linux]

となり、Rails 2.0.2 もちゃんと動きました :)。個人的にはこれでとりあえず OK かな、と*1

*1:軟弱者ですいません...

AD